Package Details: android-emulator-dummy 30.0.5-1

Git Clone URL: https://aur.archlinux.org/android-emulator-dummy.git (read-only, click to copy)
Package Base: android-emulator-dummy
Description: Google Android Emulator, dummy package
Upstream URL: https://developer.android.com/studio/releases/emulator.html
Keywords: android development
Licenses: custom
Conflicts: android-emulator
Provides: android-emulator
Submitter: dreamingincode
Maintainer: dreamingincode
Last Packager: dreamingincode
Votes: 5
Popularity: 0.74
First Submitted: 2017-04-19 07:15
Last Updated: 2020-09-30 12:40

Latest Comments

potatoe commented on 2020-08-24 02:12

Rather than the install-time message about deleting the emulator's bundled libc++, would it work to set ANDROID_EMULATOR_USE_SYSTEM_LIBS=1 in the profile.d script? I don't really have any insight into what the possible side-effects would be, aside from it "works for me".

https://developer.android.com/studio/command-line/variables#android_emulator_use_system_libs

dreamingincode commented on 2017-04-19 08:19

@martijnvd I think you mean android-emulator; And thanks, it has been fixed in android-emulator now :)

martijnvd commented on 2017-04-19 07:52

The pkgbuild fails on package() because the ${pkgdir}/opt/android-sdk directory is missing. The following diff solves the problem:

diff --git a/PKGBUILD b/PKGBUILD
index 313a56b..8e0e4da 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -27,6 +27,7 @@ package() {
rm -rf emulator/lib64/
fi

+ mkdir -p "${pkgdir}/opt/android-sdk"
cp -a emulator "${pkgdir}/opt/android-sdk/"

# Fix broken permissions